]> git.pld-linux.org Git - packages/pdnsd.git/commitdiff
- raw version from 1.0.3 tar ball.
authorkloczek <kloczek@pld-linux.org>
Mon, 25 Sep 2000 06:22:28 +0000 (06:22 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    pdnsd.init -> 1.1

pdnsd.init [new file with mode: 0644]

diff --git a/pdnsd.init b/pdnsd.init
new file mode 100644 (file)
index 0000000..fe43533
--- /dev/null
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# $Id$
+#
+#      /etc/rc.d/init.d/pdnsd
+#
+# Starts the Proxy DNS Daemon
+#
+# tested on Redhat 6.1 should work on 5.0+
+# chkconfig: 345 87 14
+# description: Proxy DNS Daemon
+#
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+test -x /usr/sbin/pdnsd || exit 0
+
+RETVAL=0
+
+#
+#      See how we were called.
+#
+case "$1" in
+  start)
+       echo -n 'Starting pdnsd: '
+       daemon /usr/sbin/pdnsd -d
+       RETVAL=$? 
+       [ $RETVAL -eq 0 ] && touch /var/lock/subsys/pdnsd
+       echo
+       ;;
+  stop)
+       echo -n 'Shutting down pdnsd: '
+       killproc pdnsd 
+       RETVAL=$? 
+       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/pdnsd
+       echo
+       ;;
+  status)
+    status pdnsd
+       exit $?
+       ;;
+  reload|restart)
+       $0 stop
+       $0 start
+       RETVAL=$?
+       ;;
+  *)
+       echo "Usage: /etc/rc.d/init.d/pdnsd {start|stop|status|restart|reload}"
+       exit 1
+esac
+
+exit $RETVAL
This page took 0.030749 seconds and 4 git commands to generate.